<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Mar 16 12:11:16 CET 2019 -->
<title>G-Index</title>
<meta name="date" content="2019-03-16">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../tds/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-1.html">Prev Letter</a></li>
<li><a href="index-3.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-2.html" target="_top">Frames</a></li>
<li><a href="index-2.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">G</a>&nbsp;<a href="index-3.html">I</a>&nbsp;<a href="index-4.html">M</a>&nbsp;<a href="index-5.html">S</a>&nbsp;<a href="index-6.html">T</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../tds/Argument.html#getCat--">getCat()</a></span> - Method in class tds.<a href="../tds/Argument.html" title="class in tds">Argument</a></dt>
<dd>
<div class="block">Get the category of the argument</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/TDS.html#getChildren--">getChildren()</a></span> - Method in class tds.<a href="../tds/TDS.html" title="class in tds">TDS</a></dt>
<dd>
<div class="block">Get all ST created by this one</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/Symbole.html#getIdentifier--">getIdentifier()</a></span> - Method in class tds.<a href="../tds/Symbole.html" title="class in tds">Symbole</a></dt>
<dd>
<div class="block">get the identifier of this symbol</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/Argument.html#getIdf--">getIdf()</a></span> - Method in class tds.<a href="../tds/Argument.html" title="class in tds">Argument</a></dt>
<dd>
<div class="block">Get the identifier of the argument</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/Symbole.html#getOffset--">getOffset()</a></span> - Method in class tds.<a href="../tds/Symbole.html" title="class in tds">Symbole</a></dt>
<dd>
<div class="block">Get the offset of this symbol into the memory stack</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/TDS.html#getParent--">getParent()</a></span> - Method in class tds.<a href="../tds/TDS.html" title="class in tds">TDS</a></dt>
<dd>
<div class="block">Get TDS parent of the ST</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/SymboleFunction.html#getReturnType--">getReturnType()</a></span> - Method in class tds.<a href="../tds/SymboleFunction.html" title="class in tds">SymboleFunction</a></dt>
<dd>
<div class="block">Get the type of the return value</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/Argument.html#getShape--">getShape()</a></span> - Method in class tds.<a href="../tds/Argument.html" title="class in tds">Argument</a></dt>
<dd>
<div class="block">Get the shape of the argument (useful with an array)</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/SymboleArray.html#getShape--">getShape()</a></span> - Method in class tds.<a href="../tds/SymboleArray.html" title="class in tds">SymboleArray</a></dt>
<dd>
<div class="block">Get the shape of the array, for instance {[-3,3];[0,5]} stands for a 2D-Array with the first line going from
 -3 to 3 and the second one from 0 to 5</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/TDS.html#getSiblings--">getSiblings()</a></span> - Method in class tds.<a href="../tds/TDS.html" title="class in tds">TDS</a></dt>
<dd>
<div class="block">Get siblings of this ST (ST created by the parent)</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/TDS.html#getSymboleByIDF-java.lang.String-">getSymboleByIDF(String)</a></span> - Method in class tds.<a href="../tds/TDS.html" title="class in tds">TDS</a></dt>
<dd>
<div class="block">Get symbol by its identifier</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/TDS.html#getSymboles--">getSymboles()</a></span> - Method in class tds.<a href="../tds/TDS.html" title="class in tds">TDS</a></dt>
<dd>
<div class="block">Get symbols stored in the TDS</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/SymboleFunction.html#getTds--">getTds()</a></span> - Method in class tds.<a href="../tds/SymboleFunction.html" title="class in tds">SymboleFunction</a></dt>
<dd>
<div class="block">Get the TDS associated to this function</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/Argument.html#getType--">getType()</a></span> - Method in class tds.<a href="../tds/Argument.html" title="class in tds">Argument</a></dt>
<dd>
<div class="block">Get the type of argument (eg. : Integer, Boolean, ...)</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/Symbole.html#getType--">getType()</a></span> - Method in class tds.<a href="../tds/Symbole.html" title="class in tds">Symbole</a></dt>
<dd>
<div class="block">Get the symbole type</div>
</dd>
<dt><span class="memberNameLink"><a href="../tds/SymboleArray.html#getValuesType--">getValuesType()</a></span> - Method in class tds.<a href="../tds/SymboleArray.html" title="class in tds">SymboleArray</a></dt>
<dd>
<div class="block">Get the type of values contained by this array</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">G</a>&nbsp;<a href="index-3.html">I</a>&nbsp;<a href="index-4.html">M</a>&nbsp;<a href="index-5.html">S</a>&nbsp;<a href="index-6.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../tds/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-1.html">Prev Letter</a></li>
<li><a href="index-3.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-2.html" target="_top">Frames</a></li>
<li><a href="index-2.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
